%\documentclass[palatino]{beamer}
\documentclass[palatino,handout]{beamer}

%%%%%%%%%%%%%% MACROS AND STUFF %%%%%%%%%%%%%%
\mode<presentation>

\usetheme{Madrid}

\definecolor{mycolor}{RGB}{67,130,176}
\usecolortheme[named=mycolor]{structure}
\setbeamercolor{normal text}{fg=violet!20!black}

\useoutertheme[footline=authortitle,subsection=false]{miniframes}
%\useoutertheme{default}
\setbeamertemplate{navigation symbols}{} 

\usefonttheme[onlymath]{serif}


\usepackage[english]{babel}

\usepackage{graphicx,amsmath,amsfonts,amssymb,mathrsfs,bm}
\usepackage{pgfpages}
\usepackage{tikz}
\usetikzlibrary{arrows,shadows,calc,shapes.multipart, chains}
\usepackage{smartdiagram}
\usepackage{tabto}

\input{../macros.tex}

\newcommand{\mysection}[1]{
}

\usepackage{listings}
\lstloadlanguages{C,[90]Fortran, Python}
\newenvironment{specialframe}{\begin{frame}[fragile,environment=specialframe]}{\end{frame}}
\lstset{                              % general command to set parameter(s)
  basicstyle=\ttfamily,          % print whole listing small
  keywordstyle=\color{darkblue},      % underlined bold black keywords
  identifierstyle=\color{darkgreen},  % nothing happens
  commentstyle=\color{darkred},       % white comments
  stringstyle=\color{red},            % for strings
  showstringspaces=false              % no special string spaces
}

\definecolor{darkblue}{rgb}{0,0,0.5}
\definecolor{darkgreen}{rgb}{0,0.5,0}
\definecolor{darkred}{rgb}{0.5,0,0}



%%%%%%%%%%%%%% TITLE PAGE %%%%%%%%%%%%%%
\title[Object Oriented Programming]{Object Oriented Programming}

\author[Martin L{\"u}ders]{Martin L{\"u}ders}
  \institute[MPSD]{}

\date{Fortran Tutorial 2024, MPSD Hamburg}

\begin{document}

\maketitle

\input{OOP_intro}

\input{OOD}

\section{Object Oriented Programming in Fortran}
\input{OOP_Fortran}

\input{OOP_examples}



\end{document}
